<?php



function wafr_add_post_type() {

  // Register CPT 1  

  $labels = array(

    'name' => _x( wafr_CPT_LABEL.'s', 'post type general name', wafr_NAME),

    'singular_name' => _x( wafr_CPT_LABEL, 'post type singular name', wafr_NAME),

    'add_new' => _x('Add New', wafr_CPT_LABEL . ' Page', wafr_NAME),

    'add_new_item' => __('Add New '.wafr_CPT_LABEL . ' Page', wafr_NAME),

    'edit_item' => __('Edit '.wafr_CPT_LABEL . ' Page', wafr_NAME ),

    'new_item' => __('New '.wafr_CPT_LABEL . ' Page', wafr_NAME),

    'all_items' => __('All '.wafr_CPT_LABEL.' Pages', wafr_NAME),

    'view_item' => __('View '.wafr_CPT_LABEL . ' Page', wafr_NAME),
	
	'search_items' => __('Search '.wafr_CPT_LABEL.' Pages', wafr_NAME),

    'not_found' =>  __('No '.wafr_CPT_LABEL.' found', wafr_NAME),

    'not_found_in_trash' => __('No '.wafr_CPT_LABEL.' found in Trash', wafr_NAME), 

    'parent_item_colon' => '',

    'menu_name' => __( wafr_CPT_LABEL, wafr_NAME)



  );

  $args = array(

    'labels' => $labels,

    'public' => true,

    'publicly_queryable' => true,

    'show_ui' => true, 

    'show_in_menu' => true, 

    'query_var' => true,

    'rewrite' => true,

    'capability_type' => 'page',

    'has_archive' => true, 

    'hierarchical' => false,

    'menu_position' => 20,

    'supports' => array( 'title' )

  ); 

  
 // 'supports' => array( 'title', 'editor' )

  register_post_type(wafr_CPT_NAME, $args);

  


	flush_rewrite_rules();

}

add_action( 'init', 'wafr_add_post_type' );


/* 
add_filter('template_include', 'wafr_template_include', 1, 1); 

function wafr_template_include($template){

    global $wp_query;

	

  

	if( ( get_query_var('post_type') == wafr_CPT_NAME ) || ( is_front_page() && is_singular(wafr_CPT_NAME) ) ) {

			$template = plugin_dir_path( __FILE__ ) . 'templates/cpt_template_xyz.php';

	}

	

    return $template;

	}
 */



// Allow CPT to be added to front page

function wafr_add_to_front( $pages ){

    $wafr_post_type = new WP_Query( array(

		'post_type' =>  array(

			wafr_CPT_NAME

			)

		) );

     if ( $wafr_post_type->post_count > 0 ) {

         $pages = array_merge( $pages, $wafr_post_type->posts );

     }



    return $pages;

}

add_filter( 'get_pages', 'wafr_add_to_front', 10, 2 );



// Stop CPT on front page from redirecting

function wafr_enable_fps( $query ){



    if('' == $query->query_vars['post_type'] && 0 != $query->query_vars['page_id'])



        $query->query_vars['post_type'] = array( 'page', wafr_CPT_NAME, wafr_CPT_NAME );



}

add_action( 'pre_get_posts', 'wafr_enable_fps' );

?>